sub settingsclick
select case indicatorslist.itemindex
case 0
ADR112cppform.visible=1
ADR112cppform.WindowState = 0
setfocus(ADR112cppform.handle)
case 1
atrchannelform.visible=1
atrchannelform.WindowState = 0
setfocus(atrchannelform.handle)
case 2
balance_point_fiboform.visible=1
balance_point_fiboform.WindowState = 0
setfocus(balance_point_fiboform.handle)
case 3
bandsform.visible=1
bandsform.WindowState = 0
setfocus(bandsform.handle)
case 4
bandscppform.visible=1
bandscppform.WindowState = 0
setfocus(bandscppform.handle)
case 5
bbhlform.visible=1
bbhlform.WindowState = 0
setfocus(bbhlform.handle)
case 6
bbhlcppform.visible=1
bbhlcppform.WindowState = 0
setfocus(bbhlcppform.handle)
case 7
bowelsform.visible=1
bowelsform.WindowState = 0
setfocus(bowelsform.handle)
case 8
cogform.visible=1
cogform.WindowState = 0
setfocus(cogform.handle)
case 9
COG_of_RSTLform.visible=1
COG_of_RSTLform.WindowState = 0
setfocus(COG_of_RSTLform.handle)
case 10
cogcppform.visible=1
cogcppform.WindowState = 0
setfocus(cogcppform.handle)
case 11
Din_fibo_highform.visible=1
Din_fibo_highform.WindowState = 0
setfocus(Din_fibo_highform.handle)
case 12
Elliot_Wave_3_Level_ZZ_Semaforform.visible=1
Elliot_Wave_3_Level_ZZ_Semaforform.WindowState = 0
setfocus(Elliot_Wave_3_Level_ZZ_Semaforform.handle)
case 13
envelopform.visible=1
envelopform.WindowState = 0
setfocus(envelopform.handle)
case 14
Envelopes_cppform.visible=1
Envelopes_cppform.WindowState = 0
setfocus(Envelopes_cppform.handle)
case 15
Hurst_FLDform.visible=1
Hurst_FLDform.WindowState = 0
setfocus(Hurst_FLDform.handle)
case 16
Ichimokuform.visible=1
Ichimokuform.WindowState = 0
setfocus(Ichimokuform.handle)
case 17
jupiter_saturn_cycleform.visible=1
jupiter_saturn_cycleform.WindowState = 0
setfocus(jupiter_saturn_cycleform.handle)
case 18
Levelsform.visible=1
Levelsform.WindowState = 0
setfocus(Levelsform.handle)
case 19
maform.visible=1
maform.WindowState = 0
setfocus(maform.handle)
case 20
MA_Chanels_cppform.visible=1
MA_Chanels_cppform.WindowState = 0
setfocus(MA_Chanels_cppform.handle)
case 21
MA_Chanels_FiboEnv_Midform.visible=1
MA_Chanels_FiboEnv_Midform.WindowState = 0
setfocus(MA_Chanels_FiboEnv_Midform.handle)
case 22
MonthlyPivot2form.visible=1
MonthlyPivot2form.WindowState = 0
setfocus(MonthlyPivot2form.handle)
case 23
monthlypivotcppform.visible=1
monthlypivotcppform.WindowState = 0
setfocus(monthlypivotcppform.handle)
case 24
Moving_Averageform.visible=1
Moving_Averageform.WindowState = 0
setfocus(Moving_Averageform.handle)
case 25
MP_on_chartform.visible=1
MP_on_chartform.WindowState = 0
setfocus(MP_on_chartform.handle)
case 26
Murrey_Mathform.visible=1
Murrey_Mathform.WindowState = 0
setfocus(Murrey_Mathform.handle)
case 27
past_regression_deviatedform.visible=1
past_regression_deviatedform.WindowState = 0
setfocus(past_regression_deviatedform.handle)
case 28
Planetary_linesform.visible=1
Planetary_linesform.WindowState = 0
setfocus(Planetary_linesform.handle)
case 29
planetsqnform.visible=1
planetsqnform.WindowState = 0
setfocus(planetsqnform.handle)
case 30
priceclose1440form.visible=1
priceclose1440form.WindowState = 0
setfocus(priceclose1440form.handle)
case 31
RSTLform.visible=1
RSTLform.WindowState = 0
setfocus(RSTLform.handle)
case 32
smafiboform.visible=1
smafiboform.WindowState = 0
setfocus(smafiboform.handle)
case 33
Square_numbersform.visible=1
Square_numbersform.WindowState = 0
setfocus(Square_numbersform.handle)
case 34
synodic_cycleform.visible=1
synodic_cycleform.WindowState = 0
setfocus(synodic_cycleform.handle)
case 35
TD_Sequentialform.visible=1
TD_Sequentialform.WindowState = 0
setfocus(TD_Sequentialform.handle)
case 36
TMA_CGform.visible=1
TMA_CGform.WindowState = 0
setfocus(TMA_CGform.handle)
case 37
TriangularMA1Hform.visible=1
TriangularMA1Hform.WindowState = 0
setfocus(TriangularMA1Hform.handle)
case 38
TriangularMA4Hform.visible=1
TriangularMA4Hform.WindowState = 0
setfocus(TriangularMA4Hform.handle)
case 39
TSFform.visible=1
TSFform.WindowState = 0
setfocus(TSFform.handle)
case 40
vegascform.visible=1
vegascform.WindowState = 0
setfocus(vegascform.handle)
case 41
Vegascppform.visible=1
Vegascppform.WindowState = 0
setfocus(Vegascppform.handle)
case 42
VolatilityPivotform.visible=1
VolatilityPivotform.WindowState = 0
setfocus(VolatilityPivotform.handle)
case 43
VolatilityStopform.visible=1
VolatilityStopform.WindowState = 0
setfocus(VolatilityStopform.handle)
case 44
VWAPform.visible=1
VWAPform.WindowState = 0
setfocus(VWAPform.handle)
case 45
waterlevelcppform.visible=1
waterlevelcppform.WindowState = 0
setfocus(waterlevelcppform.handle)
case 46
weeklypivotcppform.visible=1
weeklypivotcppform.WindowState = 0
setfocus(weeklypivotcppform.handle)
case 47
zigzagform.visible=1
zigzagform.WindowState = 0
setfocus(zigzagform.handle)
case 48
zigzagcppform.visible=1
zigzagcppform.WindowState = 0
setfocus(zigzagcppform.handle)
case 49
ztrendine_slope_pi_ratioform.visible=1
ztrendine_slope_pi_ratioform.WindowState = 0
setfocus(ztrendine_slope_pi_ratioform.handle)
case 50
Acceleratorform.visible=1
Acceleratorform.WindowState = 0
setfocus(Acceleratorform.handle)
case 51
astro_retrogradeform.visible=1
astro_retrogradeform.WindowState = 0
setfocus(astro_retrogradeform.handle)
case 52
atrform.visible=1
atrform.WindowState = 0
setfocus(atrform.handle)
case 53
CandleAvgform.visible=1
CandleAvgform.WindowState = 0
setfocus(CandleAvgform.handle)
case 54
CoronaSwingPositionform.visible=1
CoronaSwingPositionform.WindowState = 0
setfocus(CoronaSwingPositionform.handle)
case 55
CoronaTrendVigorform.visible=1
CoronaTrendVigorform.WindowState = 0
setfocus(CoronaTrendVigorform.handle)
case 56
CyAn_1_Ftyform.visible=1
CyAn_1_Ftyform.WindowState = 0
setfocus(CyAn_1_Ftyform.handle)
case 57
declination_systemform.visible=1
declination_systemform.WindowState = 0
setfocus(declination_systemform.handle)
case 58
Directional_Volume_Indexform.visible=1
Directional_Volume_Indexform.WindowState = 0
setfocus(Directional_Volume_Indexform.handle)
case 59
DVI_valuechartform.visible=1
DVI_valuechartform.WindowState = 0
setfocus(DVI_valuechartform.handle)
case 60
Ehlersfishertransformform.visible=1
Ehlersfishertransformform.WindowState = 0
setfocus(Ehlersfishertransformform.handle)
case 61
energyform.visible=1
energyform.WindowState = 0
setfocus(energyform.handle)
case 62
fftspectroform.visible=1
fftspectroform.WindowState = 0
setfocus(fftspectroform.handle)
case 63
ForceIndexform.visible=1
ForceIndexform.WindowState = 0
setfocus(ForceIndexform.handle)
case 64
Gauquelin_sectorform.visible=1
Gauquelin_sectorform.WindowState = 0
setfocus(Gauquelin_sectorform.handle)
case 65
iadxindicatorform.visible=1
iadxindicatorform.WindowState = 0
setfocus(iadxindicatorform.handle)
case 66
irviindicatorform.visible=1
irviindicatorform.WindowState = 0
setfocus(irviindicatorform.handle)
case 67
IVolumeform.visible=1
IVolumeform.WindowState = 0
setfocus(IVolumeform.handle)
case 68
j_tpoform.visible=1
j_tpoform.WindowState = 0
setfocus(j_tpoform.handle)
case 69
LaguerreRSIform.visible=1
LaguerreRSIform.WindowState = 0
setfocus(LaguerreRSIform.handle)
case 70
LSSform.visible=1
LSSform.WindowState = 0
setfocus(LSSform.handle)
case 71
MACDonRSIform.visible=1
MACDonRSIform.WindowState = 0
setfocus(MACDonRSIform.handle)
case 72
mfiform.visible=1
mfiform.WindowState = 0
setfocus(mfiform.handle)
case 73
Moon_Phasesform.visible=1
Moon_Phasesform.WindowState = 0
setfocus(Moon_Phasesform.handle)
case 74
moon_scaleform.visible=1
moon_scaleform.WindowState = 0
setfocus(moon_scaleform.handle)
case 75
planetary_speedform.visible=1
planetary_speedform.WindowState = 0
setfocus(planetary_speedform.handle)
case 76
planetcyclesform.visible=1
planetcyclesform.WindowState = 0
setfocus(planetcyclesform.handle)
case 77
planets_scaleform.visible=1
planets_scaleform.WindowState = 0
setfocus(planets_scaleform.handle)
case 78
pricecloseform.visible=1
pricecloseform.WindowState = 0
setfocus(pricecloseform.handle)
case 79
RBCIform.visible=1
RBCIform.WindowState = 0
setfocus(RBCIform.handle)
case 80
RD_COMBOform.visible=1
RD_COMBOform.WindowState = 0
setfocus(RD_COMBOform.handle)
case 81
realMACDform.visible=1
realMACDform.WindowState = 0
setfocus(realMACDform.handle)
case 82
rsiform.visible=1
rsiform.WindowState = 0
setfocus(rsiform.handle)
case 83
smFisherTransform3nrform.visible=1
smFisherTransform3nrform.WindowState = 0
setfocus(smFisherTransform3nrform.handle)
case 84
spectrometerform.visible=1
spectrometerform.WindowState = 0
setfocus(spectrometerform.handle)
case 85
stepftvcprdlform.visible=1
stepftvcprdlform.WindowState = 0
setfocus(stepftvcprdlform.handle)
case 86
steprsiform.visible=1
steprsiform.WindowState = 0
setfocus(steprsiform.handle)
case 87
StepRSIcppform.visible=1
StepRSIcppform.WindowState = 0
setfocus(StepRSIcppform.handle)
case 88
stochasticform.visible=1
stochasticform.WindowState = 0
setfocus(stochasticform.handle)
case 89
StochasticRSIform.visible=1
StochasticRSIform.WindowState = 0
setfocus(StochasticRSIform.handle)
case 90
SwamiRSI_v1form.visible=1
SwamiRSI_v1form.WindowState = 0
setfocus(SwamiRSI_v1form.handle)
case 91
threeD_Oscilatorform.visible=1
threeD_Oscilatorform.WindowState = 0
setfocus(threeD_Oscilatorform.handle)
case 92
TSCDform.visible=1
TSCDform.WindowState = 0
setfocus(TSCDform.handle)
case 93
valuechartform.visible=1
valuechartform.WindowState = 0
setfocus(valuechartform.handle)
case 94
vcatrcform.visible=1
vcatrcform.WindowState = 0
setfocus(vcatrcform.handle)
case 95
VWAP_Oscillatorform.visible=1
VWAP_Oscillatorform.WindowState = 0
setfocus(VWAP_Oscillatorform.handle)
case 96
Weighted_WCCIform.visible=1
Weighted_WCCIform.WindowState = 0
setfocus(Weighted_WCCIform.handle)
end select
end sub
